summaryrefslogtreecommitdiffstats
path: root/bitbake/bin
diff options
context:
space:
mode:
authorAlexandru DAMIAN <alexandru.damian@intel.com>2014-03-28 15:30:35 +0000
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-03-30 10:10:36 +0100
commit87fd1846396db109eee352a16b462c8958823742 (patch)
treed61bc01dfce198c70d57f44b4aae552def55ce58 /bitbake/bin
parent6448634205ac1c62fc2ed163498cf65f0f21ca6b (diff)
downloadast2050-yocto-poky-87fd1846396db109eee352a16b462c8958823742.zip
ast2050-yocto-poky-87fd1846396db109eee352a16b462c8958823742.tar.gz
bitbake: bitbake: toaster: do not trap SIGCHLD
We remove trapping SIGCHLD due to a weird interaction with the bash version used with Ubuntu 14.04 LTS. (Bitbake rev: 59f2f33440449c586c23dd3a192698a37aaf0595) Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake/bin')
-rwxr-xr-xbitbake/bin/toaster4
1 files changed, 2 insertions, 2 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster
index b27f7c2..dea69a4 100755
--- a/bitbake/bin/toaster
+++ b/bitbake/bin/toaster
@@ -86,7 +86,7 @@ function stop_system()
# force stop any misbehaving bitbake server
lsof bitbake.lock | awk '{print $2}' | grep "[0-9]\+" | xargs -n1 -r kill
trap - SIGHUP
- trap - SIGCHLD
+ #trap - SIGCHLD
INSTOPSYSTEM=0
}
@@ -203,7 +203,7 @@ case $CMD in
# stop system on terminal exit
set -o monitor
trap stop_system SIGHUP
- trap notify_chldexit SIGCHLD
+ #trap notify_chldexit SIGCHLD
;;
stop )
stop_system
OpenPOWER on IntegriCloud